ompi/errhandler/errcode.h File Reference.TH "ompi/errhandler/errcode.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
ompi/errhandler/errcode.h \- 
.SH SYNOPSIS
.br
.PP
\fC#include 'ompi_config.h'\fP
.br
\fC#include 'mpi.h'\fP
.br
\fC#include 'opal/class/opal_object.h'\fP
.br
\fC#include 'class/ompi_pointer_array.h'\fP
.br

.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef \fBompi_mpi_errcode_t\fP \fBompi_mpi_errcode_t\fP"
.br
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "static bool \fBompi_mpi_errcode_is_invalid\fP (int errcode)"
.br
.RI "\fICheck for a valid error code. \fP"
.ti -1c
.RI "static int \fBompi_mpi_errcode_get_class\fP (int errcode)"
.br
.RI "\fIReturn the error class. \fP"
.ti -1c
.RI "static char * \fBompi_mpi_errcode_get_string\fP (int errcode)"
.br
.RI "\fIReturn the error string. \fP"
.ti -1c
.RI "int \fBompi_mpi_errcode_init\fP (void)"
.br
.RI "\fIInitialize the error codes. \fP"
.ti -1c
.RI "int \fBompi_mpi_errcode_finalize\fP (void)"
.br
.RI "\fIFinalize the error codes. \fP"
.ti -1c
.RI "int \fBompi_mpi_errcode_add\fP (int errclass)"
.br
.RI "\fIAdd an error code. \fP"
.ti -1c
.RI "int \fBompi_mpi_errcode_add_string\fP (int errcode, char *string, int len)"
.br
.RI "\fIAdd an error string to an error code. \fP"
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "OMPI_DECLSPEC \fBompi_pointer_array_t\fP \fBompi_mpi_errcodes\fP"
.br
.ti -1c
.RI "OMPI_DECLSPEC int \fBompi_mpi_errcode_lastused\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 

.SH "Function Documentation"
.PP 
.SS "int ompi_mpi_errcode_add (int errclass)"
.PP
Add an error code. 
.PP
\fBParameters:\fP
.RS 4
\fI\fP error class to which this new error code belongs to
.RE
.PP
\fBReturns:\fP
.RS 4
the new error code on SUCCESS (>0) 
.PP
OMPI_ERROR otherwise 
.RE
.PP

.SS "int ompi_mpi_errcode_add_string (int errcode, char * string, int len)"
.PP
Add an error string to an error code. 
.PP
\fBParameters:\fP
.RS 4
\fI\fP error code for which the string is defined 
.br
\fI\fP error string to add 
.br
\fI\fP length of the string
.RE
.PP
\fBReturns:\fP
.RS 4
OMPI_SUCCESS on success 
.PP
OMPI_ERROR on error 
.RE
.PP

.SS "int ompi_mpi_errcode_finalize (void)"
.PP
Finalize the error codes. 
.PP
\fBReturns:\fP
.RS 4
OMPI_SUCCESS Always
.RE
.PP
Invokes from \fBompi_mpi_finalize()\fP; tears down the error code array. 
.SS "int ompi_mpi_errcode_init (void)"
.PP
Initialize the error codes. 
.PP
\fBReturns:\fP
.RS 4
OMPI_SUCCESS Upon success 
.PP
OMPI_ERROR Otherwise
.RE
.PP
Invoked from \fBompi_mpi_init()\fP; sets up all static MPI error codes, 
.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
